summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/release.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/scripts/release.sh b/scripts/release.sh
index f3ace27..d9e7a05 100755
--- a/scripts/release.sh
+++ b/scripts/release.sh
@@ -12,8 +12,9 @@ if [ -z $VERSION ]; then
exit 1
fi
-echo "##> Removing stale build files"
-rm -rf ./build || exit 1
+echo "##> Removing stale build files and other untracked files"
+git clean -x -d -i
+test -z "$(git clean -x -d -n)" || exit 1
echo "##> Tagging the release as $VERSION"
git tag $VERSION